Analytics of Oauth Client ID.
curl --request GET \
--url https://{tenant}/api/activity/oauthid/{OAuthClientID}/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/activity/oauthid/{OAuthClientID}/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/activity/oauthid/{OAuthClientID}/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"error": 4,
"hits": 31,
"id": {
"alias": "",
"api_id": "41351a6a94094da05f75146a695a16f6",
"api_name": "Keyless",
"code": 404,
"day": 0,
"hour": 0,
"iso_country": "",
"key": "",
"month": 0,
"path": "/anything",
"url": "",
"year": 0
},
"last_hit": "2024-06-19T07:11:39Z",
"latency": 0,
"max_latency": 0,
"max_upstream_latency": 0,
"min_latency": 0,
"min_upstream_latency": 0,
"request_time": 174.5,
"success": 27,
"upstream_latency": 0
}
],
"pages": 1
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "User does not have access to the API with ID.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to fetch analytics.",
"Meta": null,
"Status": "Error"
}Analytics
Analytics of Oauth Client ID.
Returns activity of all endpoints which used the given OAuth client between the given time range.
GET
/
api
/
activity
/
oauthid
/
{OAuthClientID}
/
{startDay}
/
{startMonth}
/
{startYear}
/
{EndDay}
/
{EndMonth}
/
{EndYear}
Analytics of Oauth Client ID.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
Day to start querying the analytics from.
Month to start querying the analytics from.
Year to start querying the analytics from.
End date of analytics to query.
End month of analytics to query.
End year of analytics to query.
OAuthClientID
Was this page helpful?
⌘I